﻿if OBJECT_ID ('tempdb..#OptionSetItem') is not null
drop table #OptionSetItem
go
SELECT OptionSetName, OptionSetItemName, DisplayName,DisplayNameRO, cast(null as uniqueidentifier) OptionSetId, cast (null as uniqueidentifier) OptionSetItemId
INTO #OptionSetItem

FROM (
SELECT N'FTOS_BNK_EmployerType' AS OptionSetName, N'BudgetaryInstitution' as OptionSetItemName, N'Budgetary Institution' as DisplayName, N'Instituție bugetară' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_CoborrowerRelation' AS OptionSetName, N'Parent' as OptionSetItemName, N'Parent' as DisplayName, N'Părinte' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_CoborrowerRelation' AS OptionSetName, N'Spouse' as OptionSetItemName, N'Spouse' as DisplayName, N'Soț/Soție' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_CoborrowerRelation' AS OptionSetName, N'Partner' as OptionSetItemName, N'Partner' as DisplayName, N'Partener' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_CoborrowerRelation' AS OptionSetName, N'Other' as OptionSetItemName, N'Other' as DisplayName, N'Alta' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_EducationLevel' AS OptionSetName, N'PostraduateStudies' as OptionSetItemName, N'Postraduate Studies (MBA, MA, ACCA, CFA, etc.)' as DisplayName, N'Studii postuniversitare (MBA, MA, ACCA, CFA, etc.)' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_EducationLevel' AS OptionSetName, N'GymnasiunStudies' as OptionSetItemName, N'Gymnasium Studies' as DisplayName, N'Gimnaziu' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_EducationLevel' AS OptionSetName, N'VocationalSchool' as OptionSetItemName, N'Vocational School' as DisplayName, N'Școală vocațională' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_EducationLevel' AS OptionSetName, N'NoStudiesOrPrimarySchool' as OptionSetItemName, N'No Studies / Primary School' as DisplayName, N'Fără studii / Școală primară' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_EducationLevel' AS OptionSetName, N'HigherEducation' as OptionSetItemName, N'Higher Education' as DisplayName, N'Studii superioare' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_EducationLevel' AS OptionSetName, N'HighSchool' as OptionSetItemName, N'High Scool' as DisplayName, N'Liceu' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_EmployerSize' AS OptionSetName, N'None' as OptionSetItemName, N'None' as DisplayName, N'Niciunul' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_EmploymentStatus' AS OptionSetName, N'Retired' as OptionSetItemName, N'Retired' as DisplayName, N'Pensionar(ă)' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_EmploymentStatus' AS OptionSetName, N'Employed' as OptionSetItemName, N'Employed' as DisplayName, N'Angajat(ă)' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_EmploymentStatus' AS OptionSetName, N'SelfEmployed' as OptionSetItemName, N'Self Employed' as DisplayName, N'Liber profesionist(ă)' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_EmploymentStatus' AS OptionSetName, N'Homemaker' as OptionSetItemName, N'Homemaker' as DisplayName, N'Casnic(ă)' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_EmploymentStatus' AS OptionSetName, N'Other' as OptionSetItemName, N'Other' as DisplayName, N'Altele' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_EmploymentStatus' AS OptionSetName, N'RetiredNonPensioner' as OptionSetItemName, N'Retired Non Pensioner' as DisplayName, N'Retras(ă), nu pensionar(ă)' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_EmploymentStatus' AS OptionSetName, N'Student' as OptionSetItemName, N'Student' as DisplayName, N'Student(ă)' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_EmploymentStatus' AS OptionSetName, N'Unemployed' as OptionSetItemName, N'Unemployed' as DisplayName, N'Șomer(ă)' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_LoanType' AS OptionSetName, N'Mortgage' as OptionSetItemName, N'Mortgage' as DisplayName, N'Ipotecă' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_LoanType' AS OptionSetName, N'TermLoan' as OptionSetItemName, N'Term Loan' as DisplayName, N'Credit la termen' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_MaritalStatus' AS OptionSetName, N'NotMarried' as OptionSetItemName, N'Not Married' as DisplayName, N'Necăsătorit(ă)' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_PropertyType' AS OptionSetName, N'Hotels' as OptionSetItemName, N'Hotels' as DisplayName, N'Hoteluri' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_PropertyType' AS OptionSetName, N'LandInsideTheCity' as OptionSetItemName, N'Land Inside the City' as DisplayName, N'Teren în oraș' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_PropertyType' AS OptionSetName, N'IndustrialProperty' as OptionSetItemName, N'Industrial Property' as DisplayName, N'Proprietate Industrială' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_PropertyType' AS OptionSetName, N'Apartment' as OptionSetItemName, N'Apartment' as DisplayName, N'Apartament' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_PropertyType' AS OptionSetName, N'TerrainOutsideOfTheCity' as OptionSetItemName, N'Terrain Outside of the City' as DisplayName, N'Teren în afara orașului' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_PropertyType' AS OptionSetName, N'AgriculturalLand' as OptionSetItemName, N'Agricultural Land' as DisplayName, N'Teren Agricol' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_PropertyType' AS OptionSetName, N'Office' as OptionSetItemName, N'Office' as DisplayName, N'Birou' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_PropertyType' AS OptionSetName, N'HouseVilla' as OptionSetItemName, N'House / Villa' as DisplayName, N'Casă / Vilă' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_PropertyType' AS OptionSetName, N'BlockOfFlats' as OptionSetItemName, N'Block of Flats' as DisplayName, N'Bloc de Apartamente' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_PropertyType' AS OptionSetName, N'CommercialProperty' as OptionSetItemName, N'Commercial Property' as DisplayName, N'Proprietate comercială' as DisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_PropertyType' AS OptionSetName, N'PetrolStation' as OptionSetItemName, N'Petrol Station' as DisplayName, N'Benzinărie' as DisplayNameRO UNION ALL
SELECT N'Income Type' AS OptionSetName, N'IncomeFromAbroad' as OptionSetItemName, N'Income From Abroad' as DisplayName, N'Venit din străinătate' as DisplayNameRO UNION ALL
SELECT N'Income Type' AS OptionSetName, N'SubsistenceAllowance' as OptionSetItemName, N'Subsistence Allowance' as DisplayName, N'Ajutor social' as DisplayNameRO UNION ALL
SELECT N'Income Type' AS OptionSetName, N'AuxiliaryPersonnelAssociatedWithTheNavigatingPersonnel' as OptionSetItemName, N'Auxiliary Personnel Associated With The Navigating Personnel' as DisplayName, N'Personal auxiliar asociat cu personalul navigant' as DisplayNameRO UNION ALL
SELECT N'Income Type' AS OptionSetName, N'RentalIncome' as OptionSetItemName, N'Rental Income' as DisplayName, N'Venit din închiriere' as DisplayNameRO UNION ALL
SELECT N'Income Type' AS OptionSetName, N'DividendIncome' as OptionSetItemName, N'Dividend Income' as DisplayName, N'Venit din dividende' as DisplayNameRO UNION ALL
SELECT N'Income Type' AS OptionSetName, N'NavigatingPersonnel' as OptionSetItemName, N'Navigating Personnel' as DisplayName, N'Personal Navigant' as DisplayNameRO UNION ALL
SELECT N'Income Type' AS OptionSetName, N'ManagementAdministrationOrMandateContract' as OptionSetItemName, N'Management Administration Or Mandate Contract' as DisplayName, N'Management administrativ sau contract de mandat' as DisplayNameRO UNION ALL
SELECT N'Income Type' AS OptionSetName, N'LifeAnnuity' as OptionSetItemName, N'Life Annuity' as DisplayName, N'Rentă viageră' as DisplayNameRO UNION ALL
SELECT N'Income Type' AS OptionSetName, N'RetirementIncome' as OptionSetItemName, N'Retirement Income' as DisplayName, N'Pensie' as DisplayNameRO UNION ALL
SELECT N'Income Type' AS OptionSetName, N'SelfEmployed' as OptionSetItemName, N'Self Employed' as DisplayName, N'Liber Profesionist' as DisplayNameRO UNION ALL
SELECT N'Income Type' AS OptionSetName, N'AssignmentOfCopyright' as OptionSetItemName, N'Assignment Of Copyright' as DisplayName, N'Venit din drepturi de autor' as DisplayNameRO UNION ALL
SELECT N'Income Type' AS OptionSetName, N'ChildRaisingAllowance' as OptionSetItemName, N'Child Raising Allowance' as DisplayName, N'Indemnizație creștere copil' as DisplayNameRO UNION ALL
SELECT N'Residence Type' AS OptionSetName, N'Owned' as OptionSetItemName, N'Owned' as DisplayName, N'Deținută' as DisplayNameRO UNION ALL
SELECT N'Residence Type' AS OptionSetName, N'Other' as OptionSetItemName, N'Other' as DisplayName, N'Altul' as DisplayNameRO UNION ALL
SELECT N'Residence Type' AS OptionSetName, N'Rented' as OptionSetItemName, N'Rented' as DisplayName, N'Închiriată' as DisplayNameRO UNION ALL
SELECT N'YesNo' AS OptionSetName, N'No' as OptionSetItemName, N'No' as DisplayName, N'Nu' as DisplayNameRO UNION ALL
SELECT N'YesNo' AS OptionSetName, N'Yes' as OptionSetItemName, N'Yes' as DisplayName, N'Da' as DisplayNameRO

)a
go

update a 
set a.OptionSetId = e.OptionSetId
from #OptionSetItem a
left join EbsMetadata.OptionSet e on a.OptionSetName = e.Name

update a 
set a.OptionSetItemId = att.OptionSetItemId
from #OptionSetItem a
left join EbsMetadata.OptionSet e on a.OptionSetName = e.Name
left join EbsMetadata.OptionSetItem att on e.optionsetId = att.optionsetId and a.OptionSetItemName = att.Name
 
update ATT
SET ATT.DisplayName = a.DisplayName,
	ATT.[DisplayName$ro-RO] = a.DisplayNameRO
from #OptionSetItem a  
join EbsMetadata.OptionSetItem ATT on a.OptionSetItemId = ATT.OptionSetItemId
 


DROP TABLE #OptionSetItem