﻿if OBJECT_ID ('tempdb..#VirtualAttributes') is not null
drop table #VirtualAttributes
go
SELECT VirtualAttributeName, VirtualAttributeDisplayName, VirtualAttributeDisplayNameRo, EntityName, cast (null as uniqueidentifier) EntityId, cast (null as uniqueidentifier) VirtualAttributeId
INTO #VirtualAttributes

FROM (

SELECT N'applicantAddressId_apartmentNo' AS VirtualAttributeName, 'Apartment Number' AS VirtualAttributeDisplayName, N'Apartament' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantAddressId_buildingNo' AS VirtualAttributeName, 'Building Number' AS VirtualAttributeDisplayName, N'Numărul clădirii' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantAddressId_cityId' AS VirtualAttributeName, 'City' AS VirtualAttributeDisplayName, N'Localitate' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantAddressId_countryId' AS VirtualAttributeName, 'Country' AS VirtualAttributeDisplayName, N'Țară' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantAddressId_districtId' AS VirtualAttributeName, 'District' AS VirtualAttributeDisplayName, N'Județ' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantAddressId_floorNo' AS VirtualAttributeName, 'Floor Number' AS VirtualAttributeDisplayName, N'Etaj' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantAddressId_postalCode' AS VirtualAttributeName, 'Postal Code' AS VirtualAttributeDisplayName, N'Cod poștal' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantAddressId_streetId' AS VirtualAttributeName, 'Street' AS VirtualAttributeDisplayName, N'Stradă' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantAddressId_streetNo' AS VirtualAttributeName, 'Street Number' AS VirtualAttributeDisplayName, N'Numărul străzii' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantDataId_citizenshipId' AS VirtualAttributeName, 'Citizenship' AS VirtualAttributeDisplayName, N'Cetățenie' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantDataId_dateOfBirth' AS VirtualAttributeName, 'Date Of Birth' AS VirtualAttributeDisplayName, N'Data Nașterii' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantDataId_dependentChildrenNo' AS VirtualAttributeName, 'Number of children ' AS VirtualAttributeDisplayName, N'Număr de copii' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantDataId_educationLevelId' AS VirtualAttributeName, 'Education Level' AS VirtualAttributeDisplayName, N'Educație' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantDataId_email' AS VirtualAttributeName, 'Email' AS VirtualAttributeDisplayName, N'Email' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantDataId_employDateMontsNo' AS VirtualAttributeName, 'Employment months' AS VirtualAttributeDisplayName, N'Luni de angajare ' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantDataId_employmentStatusId' AS VirtualAttributeName, 'Employment status' AS VirtualAttributeDisplayName, N'Angajat' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantDataId_firstName' AS VirtualAttributeName, 'First Name' AS VirtualAttributeDisplayName, N'Prenume' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantDataId_IdCardNo' AS VirtualAttributeName, 'Id Card Number' AS VirtualAttributeDisplayName, N'Număr BI/CI' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantDataId_IdCardSeries' AS VirtualAttributeName, 'Id Card Series' AS VirtualAttributeDisplayName, N'Serie BI/CI' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantDataId_IdExpirationDate' AS VirtualAttributeName, 'Id Expiration Date' AS VirtualAttributeDisplayName, N'Expiră la data' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantDataId_IdIssueDate' AS VirtualAttributeName, 'Id Issue Date' AS VirtualAttributeDisplayName, N'Eliberat la data' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantDataId_IdIssueInstitution' AS VirtualAttributeName, 'Id Issue Institution' AS VirtualAttributeDisplayName, N'Eliberat de instituția' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantDataId_isRetired' AS VirtualAttributeName, 'Retired' AS VirtualAttributeDisplayName, N'Pensionat' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantDataId_lastName' AS VirtualAttributeName, 'Last Name' AS VirtualAttributeDisplayName, N'Nume' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantDataId_maritalStatusId' AS VirtualAttributeName, 'Marital status' AS VirtualAttributeDisplayName, N'Starea civilă' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantDataId_mobilePhone' AS VirtualAttributeName, 'Mobile Phone ' AS VirtualAttributeDisplayName, N'Număr de telefon' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantDataId_nationalityId' AS VirtualAttributeName, 'Nationality' AS VirtualAttributeDisplayName, N'Naționalitate' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantDataId_personsInCare' AS VirtualAttributeName, 'Persons In Care' AS VirtualAttributeDisplayName, N'Persoane în îngrijire' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantDataId_PIN' AS VirtualAttributeName, 'Personal Identification Number' AS VirtualAttributeDisplayName, N'Cod numeric personal' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantDataId_placeOfBirth' AS VirtualAttributeName, 'Place Of Birth' AS VirtualAttributeDisplayName, N'Locul nașterii' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantDataId_residenceTypeId' AS VirtualAttributeName, 'Residence type' AS VirtualAttributeDisplayName, N'Tipul locuinței' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantDataId_retirementDate' AS VirtualAttributeName, 'Retirement Date' AS VirtualAttributeDisplayName, N'Data pensionării' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'applicantDataId_totalWorkExperience' AS VirtualAttributeName, 'Total Work Experience' AS VirtualAttributeDisplayName, N'Luni de experiență în muncă' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'assetId_apartmentNo' AS VirtualAttributeName, 'Apartment Number' AS VirtualAttributeDisplayName, N'Numărul apartamentului' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'assetId_assessorId' AS VirtualAttributeName, 'Assessor' AS VirtualAttributeDisplayName, N'Evaluator' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'assetId_availableForValuation' AS VirtualAttributeName, 'Available for evaluation starting from' AS VirtualAttributeDisplayName, N'Disponibil pentru evaluare începând din' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'assetId_buildingNo' AS VirtualAttributeName, 'Building Number' AS VirtualAttributeDisplayName, N'Numărul clădirii' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'assetId_cityName' AS VirtualAttributeName, 'City' AS VirtualAttributeDisplayName, N'Oraș' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'assetId_countryName' AS VirtualAttributeName, 'Country' AS VirtualAttributeDisplayName, N'Țară' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'assetId_districtName' AS VirtualAttributeName, 'District' AS VirtualAttributeDisplayName, N'Județ' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'assetId_documents' AS VirtualAttributeName, 'Documents' AS VirtualAttributeDisplayName, N'Documente' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'assetId_estimatedValuation' AS VirtualAttributeName, 'Property Value' AS VirtualAttributeDisplayName, N'Valoarea Proprietății' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'assetId_floorNo' AS VirtualAttributeName, 'Floor Number' AS VirtualAttributeDisplayName, N'Etaj' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'assetId_isMortgage' AS VirtualAttributeName, 'Mortgage Loan' AS VirtualAttributeDisplayName, N'Credit ipotecar' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'assetId_preferredContactIntervalId' AS VirtualAttributeName, 'Preferred Contact Interval' AS VirtualAttributeDisplayName, N'Interval de contact preferat' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'assetId_propertyTypeId' AS VirtualAttributeName, 'Property Type' AS VirtualAttributeDisplayName, N'Tipul proprietății' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'assetId_stairway' AS VirtualAttributeName, 'Stairway' AS VirtualAttributeDisplayName, N'Scară' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'assetId_streetName' AS VirtualAttributeName, 'Street' AS VirtualAttributeDisplayName, N'Strada' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'assetId_streetNo' AS VirtualAttributeName, 'Street Number' AS VirtualAttributeDisplayName, N'Numărul străzii' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'assetId_zipCode' AS VirtualAttributeName, 'ZIP Code' AS VirtualAttributeDisplayName, N'Cod ZIP' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'downPaymentPercent' AS VirtualAttributeName, 'Down Payment Percent' AS VirtualAttributeDisplayName, N'Procent avans' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'email' AS VirtualAttributeName, 'Email' AS VirtualAttributeDisplayName, N'Email' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'emailApplicant' AS VirtualAttributeName, 'Email' AS VirtualAttributeDisplayName, N'Email' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'financedCurrencyId' AS VirtualAttributeName, 'Financed Currency' AS VirtualAttributeDisplayName, N'Valuta de finanțare' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'financialDataId_ChildcareCosts' AS VirtualAttributeName, 'Childcare Costs' AS VirtualAttributeDisplayName, N'Cheltuieli cu îngrijirea copiilor' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'financialDataId_dependantsCosts' AS VirtualAttributeName, 'Dependants Costs' AS VirtualAttributeDisplayName, N'Cheltuieli cu persoanele care depind de tine' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'financialDataId_healthInsurance' AS VirtualAttributeName, 'Health Insurance' AS VirtualAttributeDisplayName, N'Asigurare de sănătate' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'financialDataId_incomeDeclared' AS VirtualAttributeName, 'Income Declared' AS VirtualAttributeDisplayName, N'Venit declarat' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'financialDataId_monthlyRent' AS VirtualAttributeName, 'Monthly Rent' AS VirtualAttributeDisplayName, N'Chirie lunară' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'financialDataId_netIncome' AS VirtualAttributeName, 'Net Income' AS VirtualAttributeDisplayName, N'Venit net' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'financialDataId_otherMonthlyExpenses' AS VirtualAttributeName, 'Other Monthly Expenses' AS VirtualAttributeDisplayName, N'Alte cheltuieli lunare' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'financialDataId_totalCreditCardsLimits' AS VirtualAttributeName, 'Total Credit Cards Limits' AS VirtualAttributeDisplayName, N'Limite pentru cardurile de credit' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'financialDataId_totalOtherLoansMonthlyPayments' AS VirtualAttributeName, 'Total Other Loans Monthly Payments' AS VirtualAttributeDisplayName, N'Total plăți lunare pentru alte împrumuturi' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'flowSettings_mortgageIsAssisted' AS VirtualAttributeName, 'Mortgage Is Assisted' AS VirtualAttributeDisplayName, N'Flow Assisted' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'loanId_assetDistrictId' AS VirtualAttributeName, 'Asset District' AS VirtualAttributeDisplayName, N'Județul activului' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'loanId_bankingProductId' AS VirtualAttributeName, 'Banking Product' AS VirtualAttributeDisplayName, N'loanId Banking Product' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'pricingId_approvedDownPayment' AS VirtualAttributeName, 'Approved Down Payment' AS VirtualAttributeDisplayName, N'Avans Aprobat' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_approvedDownPaymentPercent' AS VirtualAttributeName, 'Approved Down Payment Percent' AS VirtualAttributeDisplayName, N'Procent Avans Aprobat' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_approvedInstallmentsNo' AS VirtualAttributeName, 'Approved Installments No' AS VirtualAttributeDisplayName, N'Numar Rate Aprobat' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_availableAmount' AS VirtualAttributeName, 'Available Amount' AS VirtualAttributeDisplayName, N'Suma Disponibilă' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_bankingProductId' AS VirtualAttributeName, 'Banking Product' AS VirtualAttributeDisplayName, N'Produs Bancar' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_calcEffectiveInterestRate' AS VirtualAttributeName, 'Calculated Effective Interest Rate' AS VirtualAttributeDisplayName, N' Rata Efectivă a Dobânzii Calculată' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_calcFinancedAmount' AS VirtualAttributeName, 'Calculated Financed Amount' AS VirtualAttributeDisplayName, N' Suma Finanțată Calculată' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_calcInstallmentAmount' AS VirtualAttributeName, 'Calculated Installment Amount' AS VirtualAttributeDisplayName, N'Suma Ratei Calculată' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_calcInterestRate' AS VirtualAttributeName, 'Calculated Interest Rate' AS VirtualAttributeDisplayName, N' Rata Dobânzii Calculată' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_calcMaxInstallments' AS VirtualAttributeName, 'Calculated Maximum No Installments' AS VirtualAttributeDisplayName, N'Numărul Maxim de Rate Calculat' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_calcMaxPeriod' AS VirtualAttributeName, 'Calculated Maximum Period' AS VirtualAttributeDisplayName, N'Perioada Maximă Calculată' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_calcMinDownPayment' AS VirtualAttributeName, 'Calculated Min DownPayment' AS VirtualAttributeDisplayName, N'Avans Minim Calculat' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_calcMinDownPaymentPercent' AS VirtualAttributeName, 'Calculated Minimum Down Payment Percent' AS VirtualAttributeDisplayName, N'Procent Avans Minim Calculat' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_calcTotalPayAmount' AS VirtualAttributeName, 'Calculated Total Pay Amount' AS VirtualAttributeDisplayName, N'Suma Totală de Plată Calculată' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_commissionListId' AS VirtualAttributeName, 'Commission List' AS VirtualAttributeDisplayName, N'Listă Comisioane' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_decision' AS VirtualAttributeName, 'Decision' AS VirtualAttributeDisplayName, N'Decizie' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_downPayment' AS VirtualAttributeName, 'Down Payment' AS VirtualAttributeDisplayName, N'Avans' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_effectiveInterestRate' AS VirtualAttributeName, 'Effective Interest Rate' AS VirtualAttributeDisplayName, N'Rata Efectivă a Dobânzii' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_financedAmount' AS VirtualAttributeName, 'Financed Amount' AS VirtualAttributeDisplayName, N'Suma Finanțată' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_financialResultId' AS VirtualAttributeName, 'Pricing financialResult' AS VirtualAttributeDisplayName, N'Rezultatul Financiar' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_installment' AS VirtualAttributeName, 'Installment' AS VirtualAttributeDisplayName, N'Rata' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_installmentsPeriod' AS VirtualAttributeName, 'Installments Period' AS VirtualAttributeDisplayName, N'Număr Rate' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_interestRate' AS VirtualAttributeName, 'Interest Rate' AS VirtualAttributeDisplayName, N'Rata Dobânzii' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_interestTypeId' AS VirtualAttributeName, 'Interest Type' AS VirtualAttributeDisplayName, N'Tipul Dobânzii' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_isWithEqualInstallments' AS VirtualAttributeName, 'Is With Equal Installments' AS VirtualAttributeDisplayName, N'Pricing isWithEqualInstallments' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_loanMaxInstallment' AS VirtualAttributeName, 'Loan Maximum Installment' AS VirtualAttributeDisplayName, N' Rata maximă a împrumutului' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_maxAmount' AS VirtualAttributeName, 'Maximum Amount' AS VirtualAttributeDisplayName, N'Pricing Maximum Amount' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_periodicity' AS VirtualAttributeName, 'Periodicity' AS VirtualAttributeDisplayName, N'Periodicitate' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_riskClass' AS VirtualAttributeName, 'Risk Class' AS VirtualAttributeDisplayName, N'Pricing Risk Class' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_scheduleJSON' AS VirtualAttributeName, 'Schedule JSON' AS VirtualAttributeDisplayName, N'Pricing Schedule JSON' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_schedulePaymentTypeId' AS VirtualAttributeName, 'Schedule Payment Type' AS VirtualAttributeDisplayName, N'Tip scadentar' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_score' AS VirtualAttributeName, 'Score' AS VirtualAttributeDisplayName, N'Scor' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_scoreDecisionId' AS VirtualAttributeName, 'Score Decision' AS VirtualAttributeDisplayName, N'Decizie scor' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'pricingId_totalPayableAmount' AS VirtualAttributeName, 'Total Payable Amount' AS VirtualAttributeDisplayName, N'Suma totală de plătit' AS VirtualAttributeDisplayNameRo, N'FTOS_BARET_Loan' as EntityName UNION ALL
SELECT N'retailAddressId_apartmentNo' AS VirtualAttributeName, 'Apartment Number' AS VirtualAttributeDisplayName, N'Apartament' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'retailAddressId_buildingNo' AS VirtualAttributeName, 'Building Number' AS VirtualAttributeDisplayName, N'Numărul clădirii' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'retailAddressId_cityName' AS VirtualAttributeName, 'City' AS VirtualAttributeDisplayName, N'Localitate' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'retailAddressId_countryId' AS VirtualAttributeName, 'Country' AS VirtualAttributeDisplayName, N'Țară' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'retailAddressId_countryName' AS VirtualAttributeName, 'Country' AS VirtualAttributeDisplayName, N'Țară' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'retailAddressId_districtId' AS VirtualAttributeName, 'District' AS VirtualAttributeDisplayName, N'Județ' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'retailAddressId_districtName' AS VirtualAttributeName, 'District' AS VirtualAttributeDisplayName, N'Județ' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'retailAddressId_floorNo' AS VirtualAttributeName, 'Floor number' AS VirtualAttributeDisplayName, N'Etaj' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'retailAddressId_postalCode' AS VirtualAttributeName, 'Postal Code' AS VirtualAttributeDisplayName, N'Cod poștal' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'retailAddressId_stairway' AS VirtualAttributeName, 'Stairway' AS VirtualAttributeDisplayName, N'Scară' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'retailAddressId_street' AS VirtualAttributeName, 'Street' AS VirtualAttributeDisplayName, N'Stradă' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'retailAddressId_streetId' AS VirtualAttributeName, 'Street' AS VirtualAttributeDisplayName, N'Stradă' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'retailAddressId_streetNo' AS VirtualAttributeName, 'Street Number' AS VirtualAttributeDisplayName, N'Numărul străzii' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'retailApplicantId_ChildcareCosts' AS VirtualAttributeName, 'Childcare and education cost:' AS VirtualAttributeDisplayName, N'Cheltuieli pentru îngrijirea copiilor:' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'retailApplicantId_dependantsCosts' AS VirtualAttributeName, 'Maintenance for dependants: ' AS VirtualAttributeDisplayName, N'Cheltuieli cu persoanele în îngrijire:' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'retailApplicantId_healthInsurance' AS VirtualAttributeName, 'Life, Health Insurance and Private Pensions:' AS VirtualAttributeDisplayName, N'Asigurare de viață, de sănătate, sau pensie privată:' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'retailApplicantId_incomeDeclared' AS VirtualAttributeName, 'Income declared' AS VirtualAttributeDisplayName, N'Venitul declarat' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'retailApplicantId_monthlyRent' AS VirtualAttributeName, 'Your Rent Is: ' AS VirtualAttributeDisplayName, N'Chirie lunară:' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'retailApplicantId_netIncome' AS VirtualAttributeName, 'Net Income:' AS VirtualAttributeDisplayName, N'Venit net:' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'retailApplicantId_otherMonthlyExpenses' AS VirtualAttributeName, 'Other spendings: ' AS VirtualAttributeDisplayName, N'Alte cheltuieli lunare:' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'retailApplicantId_totalCreditCardsLimits' AS VirtualAttributeName, 'Total credit cards limits:' AS VirtualAttributeDisplayName, N'Total limite card de credit:' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'retailApplicantId_totalMonthlyPayments' AS VirtualAttributeName, 'totalMonthlyPayments' AS VirtualAttributeDisplayName, N'FinancialData Total Monthly Payments' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName UNION ALL
SELECT N'retailApplicantId_totalOtherLoansMonthlyPayments' AS VirtualAttributeName, 'Paying monthly for other loans:' AS VirtualAttributeDisplayName, N'Total plăți lunare pentru alte împrumuturi:' AS VirtualAttributeDisplayNameRo, N'FTOS_BNKAP_RetailApplicantData' as EntityName
 )a

update va
set EntityId = e.entityid
from #VirtualAttributes va
join EbsMetadata.Entity e (nolock) on e.Name = va.EntityName

update va
set VirtualAttributeId = v.virtualattributeid
from #VirtualAttributes va
join EbsMetadata.VirtualAttribute v (nolock) on v.Name = va.VirtualAttributeName and v.EntityId = va.EntityId

update va
set [DisplayName] = v.VirtualAttributeDisplayName,
	[DisplayName$ro-RO] = v.VirtualAttributeDisplayNameRo
from EbsMetadata.VirtualAttribute va
join #VirtualAttributes v (nolock) on v.VirtualAttributeId = va.virtualattributeid and v.EntityId = va.EntityId

drop table #VirtualAttributes

