﻿if OBJECT_ID ('tempdb..#Localization') is not null
drop table #Localization
go

SELECT EntityName, AttributeName, AttributeDisplayName,AttributeDisplayNameRO, cast(null as uniqueidentifier) EntityId, cast (null as uniqueidentifier) AttributeId
INTO #Localization
FROM 
(
SELECT N'FTOS_BARET_Guarantee' AS EntityName, N'preferredContactIntervalId' AS AttributeName, N'Preferred Contact Interval' AS AttributeDisplayName, N'Interval de contact preferat'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BARET_Guarantee' AS EntityName, N'districtId' AS AttributeName, N'District' AS AttributeDisplayName, N'Județ'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BARET_Guarantee' AS EntityName, N'valuation' AS AttributeName, N'Valuation' AS AttributeDisplayName, N'Evaluare'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BARET_Guarantee' AS EntityName, N'valuationDocuments' AS AttributeName, N'Valuation Documents' AS AttributeDisplayName, N'Documente Evaluare'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BARET_Guarantee' AS EntityName, N'liquidationValue' AS AttributeName, N'Liquidation Value' AS AttributeDisplayName, N'Valoarea lichidării'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BARET_Guarantee' AS EntityName, N'documents' AS AttributeName, N'Documents' AS AttributeDisplayName, N'Documente'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BARET_Guarantee' AS EntityName, N'estimatedValuation' AS AttributeName, N'Property Value' AS AttributeDisplayName, N'Valorea proprietății'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BARET_Guarantee' AS EntityName, N'countryId' AS AttributeName, N'Country' AS AttributeDisplayName, N'Țara'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BARET_Guarantee' AS EntityName, N'streetNo' AS AttributeName, N'Street Number' AS AttributeDisplayName, N'Numărul străzii'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BARET_Guarantee' AS EntityName, N'assessorId' AS AttributeName, N'Assessor' AS AttributeDisplayName, N'Evaluator'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BARET_Guarantee' AS EntityName, N'availableForValuation' AS AttributeName, N'Available for evaluation starting from' AS AttributeDisplayName, N'Disponibil pentru evaluare începând din'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BARET_Guarantee' AS EntityName, N'streetId' AS AttributeName, N'Street' AS AttributeDisplayName, N'Stradă'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BARET_Guarantee' AS EntityName, N'addressLine1' AS AttributeName, N'Address 1' AS AttributeDisplayName, N'Adresa 1'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BARET_Guarantee' AS EntityName, N'legalDocuments' AS AttributeName, N'Legal Documents' AS AttributeDisplayName, N'Documente Legale'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BARET_Guarantee' AS EntityName, N'zipCode' AS AttributeName, N'ZIP code' AS AttributeDisplayName, N'Cod poștal'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BARET_Guarantee' AS EntityName, N'adjustedValue' AS AttributeName, N'Adjusted Value' AS AttributeDisplayName, N'Valoarea ajustată'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BARET_Guarantee' AS EntityName, N'propertyTypeId' AS AttributeName, N'Property Type' AS AttributeDisplayName, N'Tipul proprietății'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BARET_Guarantee' AS EntityName, N'cityId' AS AttributeName, N'City' AS AttributeDisplayName, N'Oraș'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BARET_Loan' AS EntityName, N'loanAmount' AS AttributeName, N'Loan Amount' AS AttributeDisplayName, N'Suma împrumutată'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BARET_Loan' AS EntityName, N'period' AS AttributeName, N'Period' AS AttributeDisplayName, N'Număr Rate'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BARET_Loan' AS EntityName, N'assetDistrictId' AS AttributeName, N'Asset District' AS AttributeDisplayName, N'Județul activului'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_ApplicationDocument' AS EntityName, N'signedFile' AS AttributeName, N'Signed Document' AS AttributeDisplayName, N'Documentul Semnat'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_ApplicationDocument' AS EntityName, N'consentId' AS AttributeName, N'Consent' AS AttributeDisplayName, N'Acord'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_Pricing' AS EntityName, N'prodPeriod' AS AttributeName, N'Period' AS AttributeDisplayName, N'Perioadă'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_Pricing' AS EntityName, N'approvedDownPayment' AS AttributeName, N'Approved Down Payment' AS AttributeDisplayName, N'ApprovedDownPayment'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_Pricing' AS EntityName, N'calcMaxPeriod' AS AttributeName, N'Calculated Maximum Period' AS AttributeDisplayName, N'Calculate Maximum Period'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantAddress' AS EntityName, N'stairway' AS AttributeName, N'Stairway' AS AttributeDisplayName, N'Scară'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'lastName' AS AttributeName, N'Last Name' AS AttributeDisplayName, N'Nume'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'citizenshipId' AS AttributeName, N'Citizenship' AS AttributeDisplayName, N'Cetățenie'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'PIN' AS AttributeName, N'Personal Identification Number' AS AttributeDisplayName, N'Cod Numeric Personal'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'IdCardSeries' AS AttributeName, N'Id Card Series' AS AttributeDisplayName, N'Serie BI/CI'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'retirementDate' AS AttributeName, N'Retirement Date' AS AttributeDisplayName, N'Data pensionării'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'placeOfBirth' AS AttributeName, N'Place Of Birth' AS AttributeDisplayName, N'Locul nașterii'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'relationWithMB' AS AttributeName, N'Relation' AS AttributeDisplayName, N'Relație'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'nationalityId' AS AttributeName, N'Nationality' AS AttributeDisplayName, N'Naţionalitate'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'residenceTypeId' AS AttributeName, N'Residence type' AS AttributeDisplayName, N'Tipul locuinței'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'IdIssueInstitution' AS AttributeName, N'Id Issue Institution' AS AttributeDisplayName, N'Eliberat de instituția'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'employmentStatusId' AS AttributeName, N'Employment status' AS AttributeDisplayName, N'Status angajare'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'residenceStatusId' AS AttributeName, N'Residence status' AS AttributeDisplayName, N'Residence Status Id'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'maritalStatusId' AS AttributeName, N'Marital status' AS AttributeDisplayName, N'Starea civilă'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'IdCardNo' AS AttributeName, N'Id Card Number' AS AttributeDisplayName, N'Număr BI/CI'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'applicantTypeId' AS AttributeName, N'Applicant Type Id' AS AttributeDisplayName, N'Tipul aplicantului'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'educationLevelId' AS AttributeName, N'Education Level' AS AttributeDisplayName, N'Nivel studii'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'IdIssueDate' AS AttributeName, N'Id Issue Date' AS AttributeDisplayName, N'Eliberat la data'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'firstName' AS AttributeName, N'First Name' AS AttributeDisplayName, N'Prenume'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'isRetired' AS AttributeName, N'Retired' AS AttributeDisplayName, N'Pensionat(ă)'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'loanId' AS AttributeName, N'Loan Id' AS AttributeDisplayName, N'Id Împrumut'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'personsInCare' AS AttributeName, N'Persons In Care' AS AttributeDisplayName, N'Persoane în îngrijire'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'educationId' AS AttributeName, N'Obsolete' AS AttributeDisplayName, N'Education'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'mobilePhone' AS AttributeName, N'Mobile Phone ' AS AttributeDisplayName, N'Număr de telefon'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'dateOfBirth' AS AttributeName, N'Date Of Birth' AS AttributeDisplayName, N'Data nașterii'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'IdExpirationDate' AS AttributeName, N'Id Expiration Date' AS AttributeDisplayName, N'Expiră la data'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'employDateMontsNo' AS AttributeName, N'Employment months' AS AttributeDisplayName, N'Luni de angajare'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'totalWorkExperience' AS AttributeName, N'Total Work Experience' AS AttributeDisplayName, N'Total luni de experiență'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailApplicantData' AS EntityName, N'dependentChildrenNo' AS AttributeName, N'Number of children ' AS AttributeDisplayName, N'Numărul de copii'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailIncomeData' AS EntityName, N'employerTypeId' AS AttributeName, N'Employer Type' AS AttributeDisplayName, N'Tipul angajatorului'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailIncomeData' AS EntityName, N'incomeAmount' AS AttributeName, N'Income Amount' AS AttributeDisplayName, N'Valoarea venitului'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailIncomeData' AS EntityName, N'isMainEmployer' AS AttributeName, N'Is Main Employer' AS AttributeDisplayName, N'Este angajatorul principal'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailIncomeData' AS EntityName, N'employerRegNo' AS AttributeName, N'Employer RegNo' AS AttributeDisplayName, N'Număr de înregistrare angajator'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailIncomeData' AS EntityName, N'adjustedIncomeAmount' AS AttributeName, N'Adjusted Income Amount' AS AttributeDisplayName, N'Valoarea ajustată a venitului'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailIncomeData' AS EntityName, N'currencyId' AS AttributeName, N'Currency' AS AttributeDisplayName, N'Monedă'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailIncomeData' AS EntityName, N'incomeTypeId' AS AttributeName, N'Income Type' AS AttributeDisplayName, N'Tipul venitului'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailIncomeData' AS EntityName, N'employerName' AS AttributeName, N'Employer Name' AS AttributeDisplayName, N'Numele angajatorului'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailIncomeData' AS EntityName, N'employerSizeId' AS AttributeName, N'Employer Size' AS AttributeDisplayName, N'Mărimea angajatorului'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailLoansData' AS EntityName, N'monthlyPayment' AS AttributeName, N'Monthly Payment ' AS AttributeDisplayName, N'Plată lunară'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailLoansData' AS EntityName, N'isOverdue' AS AttributeName, N'Overdue' AS AttributeDisplayName, N'Întârziat'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailLoansData' AS EntityName, N'loanAmount' AS AttributeName, N'Loan Amount' AS AttributeDisplayName, N'Suma împrumutată'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailLoansData' AS EntityName, N'numberOverdueDays90' AS AttributeName, N'Overdues >90' AS AttributeDisplayName, N'Întârzieri >90'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailLoansData' AS EntityName, N'startDate' AS AttributeName, N'Start Date' AS AttributeDisplayName, N'Data de început'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailLoansData' AS EntityName, N'numberOverdueDays120' AS AttributeName, N'Overdues >120' AS AttributeDisplayName, N'Întârzieri >120'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailLoansData' AS EntityName, N'numberOverdueDays30' AS AttributeName, N'Overdues >30' AS AttributeDisplayName, N'Întârzieri >30'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailLoansData' AS EntityName, N'numberOverdueDays15' AS AttributeName, N'Overdues >15 ' AS AttributeDisplayName, N'Întârzieri >15 'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailLoansData' AS EntityName, N'currencyId' AS AttributeName, N'Currency' AS AttributeDisplayName, N'Monedă'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailLoansData' AS EntityName, N'overdueDays' AS AttributeName, N'Overdue Days' AS AttributeDisplayName, N'Zile de întârziere'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailLoansData' AS EntityName, N'endDate' AS AttributeName, N'End Date' AS AttributeDisplayName, N'Data de sfârșit'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RetailLoansData' AS EntityName, N'loanTypeId' AS AttributeName, N'Loan Type' AS AttributeDisplayName, N'Tipul împrumutului'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RiskLog' AS EntityName, N'loanId' AS AttributeName, N'Loan' AS AttributeDisplayName, N'Împrumut'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RiskLog' AS EntityName, N'Name' AS AttributeName, N'Criteria' AS AttributeDisplayName, N'Criteriu'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RiskLog' AS EntityName, N'resultId' AS AttributeName, N'Result' AS AttributeDisplayName, N'Rezultat'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_RiskLog' AS EntityName, N'resultText' AS AttributeName, N'Result' AS AttributeDisplayName, N'Rezultat'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BNKAP_Schedule' AS EntityName, N'MonthNo' AS AttributeName, N'Month Number' AS AttributeDisplayName, N' Month No'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BP_BankingProduct' AS EntityName, N'bpProductTypeId' AS AttributeName, N'Product Type' AS AttributeDisplayName, N'bpProductTypeId'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BP_BankingProduct' AS EntityName, N'isGuaranteed' AS AttributeName, N'Is Guaranteed' AS AttributeDisplayName, N'Garantat'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BP_BankingProduct' AS EntityName, N'NoOfDebtor' AS AttributeName, N'Max No. Of CoDebtors' AS AttributeDisplayName, N'No. Of Debtors'as AttributeDisplayNameRO UNION ALL
SELECT N'FTOS_BP_BankingProduct' AS EntityName, N'AllowDebtor' AS AttributeName, N'Allow CoDebtor' AS AttributeDisplayName, N'Allow Debtor'as AttributeDisplayNameRO
 )a



update a set a.EntityId = e.entityid
from #Localization a
left join EbsMetadata.Entity e on a.EntityName = e.Name

update a set a.AttributeId = att.attributeid
from #Localization a
left join EbsMetadata.Entity e on a.EntityName = e.Name
left join EbsMetadata.Attribute att on e.entityid = att.EntityId and a.AttributeName = att.Name
 
update ATT
SET ATT.DisplayName = a.AttributeDisplayName,
	ATT.[DisplayName$ro-RO] = a.AttributeDisplayNameRO
from #Localization a  
join EbsMetadata.Attribute ATT on a.AttributeId = ATT.attributeid
 


drop table #Localization
